# Class TabAttributes

#### Hierarchy

- XmlAttributeComponent<{
  leader?: LeaderType;
  pos: string | number;
  val: TabStopType;
  }>
  - TabAttributes

- Defined in src/file/paragraph/formatting/tab-stop.ts:44

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new TabAttributes(root: {
  leader?: LeaderType;
  pos: string | number;
  val: TabStopType;
  }): TabAttributes

- #### Parameters

  - ##### root: {
    leader?: LeaderType;
    pos: string | number;
    val: TabStopType;
    }

    - ##### `Optional` `Readonly` leader?: LeaderType

    - ##### `Readonly` pos: string | number

    - ##### `Readonly` val: TabStopType

  #### Returns TabAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in src/file/xml-components/default-attributes.ts:12

## Methods

### prepForXml

- prepForXml(_: IContext): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in src/file/xml-components/default-attributes.ts:16

Generated using TypeDoc